UBUNTOMANIA

Ubuntu - Linux для людей

Tuesday, Aug 21st

Изменен:10:42:28 AM GMT

Вы здесь: Главная Новости IT Двадцатилетняя уязвимость в bash

Двадцатилетняя уязвимость в bash

(0 Голосов)

Вышли срочные патчи для RHEL, Fedora, CentOS, Ubuntu, Debian (другие производители на подходе), устраняющие существующую десятки лет уязвимость в популярнейшей командной оболочке bash. Уязвимость позволяет выполнить любую команду путем внедрения bash-кода в специально сформированные переменные окружения (фактически туда просто кладется код функции, которая выполняется сразу при запуске интерпретатора).
Эту уязвимость по возможным последствиям уже сравнивают с Heartbleed - с учетом того, сколько времени она существует и какое количество софта затрагивает. Затронуты версии GNU Bash с 1.14 (июль 1994) по 4.3, под раздачу попал практически любой юникс, от RedHat и FreeBSD до Mac OS и линуксов, встроенных в домашние роутеры.

Потенциально уязвима любая система, позволяющая в том или ином виде запустить снаружи нечто, работающее с командной оболочкой. Например, любой существующий bash-скрипт, запускающийся из-под апача, или простой вызов system/popen в C, некоторые варианты развертывания Git и Subversion, предоставляющие пользователям возможность выполнения команд, любые веб-оболочки (в тех же роутерах, например), использующие шелл для выполнения команд и т.п. Рвануть может практически где угодно.

 

По материалам bugtraq.ru

Добавить комментарий


Защитный код
Обновить

Еще статьи по теме

 
Share/Save/Bookmark